package com.zt.plat.module.qms.resource.material.enums;

import lombok.Getter;

/**
 * 物料入库业务类型
 */
@Getter
public enum MaterialInboundType {
    acceptance_inbound("验收入库"),

    hzrd_make_inbound("危化品配置入库"),

    check_inbound("盘点入库");

    private final String name;

    MaterialInboundType(String name) {
        this.name = name;
    }

    public static MaterialInboundType fromName(String name) {
        for (MaterialInboundType type : MaterialInboundType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        throw new IllegalArgumentException("No enum constant with name: " + name);
    }
}
